Bug 138402 - Use std::unique_ptr in JSClassRef and JSCallbackObject
Summary: Use std::unique_ptr in JSClassRef and JSCallbackObject
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Gyuyoung Kim
URL:
Keywords:
Depends on:
Blocks: 128007
  Show dependency treegraph
 
Reported: 2014-11-04 19:50 PST by Gyuyoung Kim
Modified: 2014-11-23 18:25 PST (History)
1 user (show)

See Also:


Attachments
Patch (3.95 KB, patch)
2014-11-04 19:51 PST, Gyuyoung Kim
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gyuyoung Kim 2014-11-04 19:50:54 PST
SSIA
Comment 1 Gyuyoung Kim 2014-11-04 19:51:36 PST
Created attachment 240999 [details]
Patch
Comment 2 Geoffrey Garen 2014-11-05 11:45:28 PST
Comment on attachment 240999 [details]
Patch

r=me
Comment 3 WebKit Commit Bot 2014-11-05 17:21:47 PST
Comment on attachment 240999 [details]
Patch

Clearing flags on attachment: 240999

Committed r175651: <http://trac.webkit.org/changeset/175651>
Comment 4 WebKit Commit Bot 2014-11-05 17:21:50 PST
All reviewed patches have been landed.  Closing bug.